=== debian/changelog ===
packagekit-qt (1.1.3-0zneon+24.04+noble+stable+build6) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 18 Aug 2025 01:30:21 +0000

packagekit-qt (1.1.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 14 Aug 2025 17:38:12 +1000

packagekit-qt (1.1.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 27 Jul 2024 12:36:53 +1000

packagekit-qt (1.1.1-1) noble; urgency=medium

  * New upstream bugfix release: 1.1.1
    - Fixes update notifications not being shown because frontends
      may get confused by a new transaction property (Closes: #1027831)
    - Fixes a crash that occurs if a transaction role is not yet
      known or the transaction is not initialized (Closes: #1026062)

 -- Matthias Klumpp <mak@debian.org>  Fri, 10 Mar 2023 18:48:56 +0100
