=== debian/control ===
Source: packagekit-qt
Section: libs
Priority: optional
Build-Depends: cmake (>= 3.2),
               debhelper-compat (= 13),
               packagekit (>= 1.2.6),
               pkg-kde-tools (>= 0.15.16),
               pkgconf (>= 0.26),
               qt6-base-dev,
               qtbase5-dev (>= 5.8)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.freedesktop.org/software/PackageKit/
Vcs-Git: https://invent.kde.org/neon/backports-noble/packagekit-qt-noble.git
Vcs-Browser: https://invent.kde.org/neon/backports-noble/packagekit-qt-noble
Maintainer: Neon CI <neon@kde.org>

Package: libpackagekitqt5-1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: packagekit
Description: Library for accessing PackageKit using Qt5
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a library to access PackageKit using Qt.

Package: libpackagekitqt5-dev
Section: libdevel
Architecture: any
Depends: libpackagekitqt5-1 (= ${binary:Version}),
         qtbase5-dev (>= 5.8),
         ${misc:Depends}
Description: Library for accessing PackageKit using Qt5 (development files)
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides the header files for PackageKit-Qt.

Package: libpackagekitqt6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: packagekit
Description: Library for accessing PackageKit using Qt6
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a library to access PackageKit using Qt.

Package: libpackagekitqt6-dev
Section: libdevel
Architecture: any
Depends: libpackagekitqt6 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Description: Library for accessing PackageKit using Qt6 (development files)
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides the header files for PackageKit-Qt.
