=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

execute_after_dh_auto_clean:
	rm -rf build-Qt5

override_dh_auto_configure:
	QT_SELECT=qt6 dh_auto_configure
	QT_SELECT=qt5 dh_auto_configure --builddirectory=build-qt5 -- -DBUILD_WITH_QT5=True

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=build-qt5

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=build-qt5
