=== debian/changelog ===
packagekit-qt (1.1.4-1) unstable; urgency=medium

  * New upstream version: 1.1.4
  * Drop Qt5 package: Removed upstream
  * Adjust for ABI bump
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Thu, 02 Oct 2025 23:18:40 +0200
