=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

QPK_CONFIGURE_ARGS =

%:
	dh $@ --with kf6,pkgkde_symbolshelper
